Bug 1400302 - Rebase elfutils to 0.168
Summary: Rebase elfutils to 0.168
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: elfutils
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Martin Cermak
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks: 1390370 1411714
TreeView+ depends on / blocked
 
Reported: 2016-11-30 20:44 UTC by mbenitez
Modified: 2017-08-01 22:06 UTC (History)
5 users (show)

Fixed In Version: elfutils-0.168-5.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_elfutils_ rebased to version 0.168 The _elfutils_ package has been upgraded to upstream version 0.168, which provides a number of bug fixes and enhancements: * The option `--symbols` of the *eu-readelf* utility now allows selecting the section for displaying symbols. * New functions for the creation of ELF/DWARF string tables have been added to the *libdw* library. * The `DW_LANG_PL1` constant has been changed to `DW_LANG_PLI`. The previous name is still accepted. * The return type of the `gelf_newehdr` and `gelf_newphdr` functions from the *libelf* library has been changed to `void*` for source compatibility with other *libelf* implementations. This change retains binary compatibility on all platforms supported by Red Hat Enterprise Linux.
Clone Of:
Environment:
Last Closed: 2017-08-01 22:06:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2020 normal SHIPPED_LIVE elfutils bug fix update 2017-08-01 19:31:43 UTC

Description mbenitez 2016-11-30 20:44:30 UTC

Comment 1 Mark Wielaard 2017-01-11 20:46:17 UTC
0.168 was released, it is mostly a minor bug fix release compared to 0.167.

Comment 11 errata-xmlrpc 2017-08-01 22:06:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2020


Note You need to log in before you can comment on or make changes to this bug.